Name: recoll
Version: 1.3.3
Release: alt2.M24.1

%define pre %nil

Summary: Recoll is a personal full text search package
License: GPL

Group: File tools

Url: http://www.lesbonscomptes.com/recoll

Source0: %url/%name-%version%pre.tar.gz
Source1: recoll_ru.ts
Source2: recoll_ru.qm
Source3: recoll.desktop
Source4: embedSpaceFilters.tar.gz

Patch1: recoll_lowercase.patch
Patch2: recoll-1.0.14-emt-add_ru.patch
Patch3: recoll-1.0.15-emt-path.patch
Patch4: recoll-1.2.3-alt-defaults.patch

Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: fontconfig freetype2 gcc-c++ libqt3-devel libstdc++-devel libxapian-devel XFree86-devel zlib-devel
#BuildRequires: libqt3-settings

%{?!_desktopdir:%define _desktopdir %_datadir/applications}

%description
Recoll is a personal full text search package based on a very strong
backend (Xapian), for which it provides an easy to use, feature-rich,
easy administration interface.

Recommends: antiword catdoc xpdf-utils

%prep
%setup -q -n %name-%version%pre
#patch -p0
#patch2 -p1
#patch3 -p1
#patch4 -p1
tar -C filters -zxf %SOURCE4

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh ; PATH=$PATH:$QTDIR/bin
export CXXFLAGS="%optflags"
%configure
%make_build

%install
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh ; PATH=$PATH:$QTDIR/bin
mkdir -p %buildroot%_menudir/
subst 's/openoffice/ooffice2/g' sampleconf/mimeconf
%makeinstall
install -pD %SOURCE3 %buildroot%_desktopdir/%name.desktop
cat >> %buildroot%_menudir/%name << EOF
?package(%name):\
needs="x11"\
section="Applications/File tools"\
title="Recoll"\
longtitle="Local file content search tool"\
command="%_bindir/%name"\
icon="%name.xpm"
EOF

%files
%_bindir/*
%_datadir/%name/
%_desktopdir/*
%_menudir/*
%_man1dir/*
%_man5dir/*
%doc ChangeLog README

%post
%update_menus

%postun
%clean_menus

# TODO:
# - icon

%changelog
* Sun Apr 09 2006 Michael Shigorin <mike@altlinux.org> 1.3.3-alt2.M24.1
- built for M24, also against current libxapian

* Sun Apr 09 2006 Michael Shigorin <mike@altlinux.org> 1.3.3-alt3
- found a spec typo during backporting that made 1.3.3-alt2
  no different from 1.3.3-alt1

* Wed Apr 05 2006 Michael Shigorin <mike@altlinux.org> 1.3.3-alt2
- added fixed filter pack provided by the author
  (reportedly fixes some problems with filenames containing spaces)

* Tue Apr 04 2006 Michael Shigorin <mike@altlinux.org> 1.3.3-alt0.M24.1
- built for 2.4
- reverted BuildRequires

* Tue Apr 04 2006 Michael Shigorin <mike@altlinux.org> 1.3.3-alt1
- 1.3.3
- got the most important part of patch4 (OOo wrapper name) back
- merged 3.0 spec changes (menu file)

* Sat Apr 01 2006 Michael Shigorin <mike@altlinux.org> 1.3.1-alt1
- 1.3.1
- translations accepted upstream (thanks Jean for gently
  pinging me to update Russian)

* Thu Mar 30 2006 Michael Shigorin <mike@altlinux.org> 1.3.1-alt0.1.M24.1
- 1.3.1pre2
- built for 2.4

* Thu Mar 30 2006 Michael Shigorin <mike@altlinux.org> 1.3.1-alt0.2
- 1.3.1pre2

* Tue Mar 28 2006 Michael Shigorin <mike@altlinux.org> 1.3.1-alt0.1
- 1.3.1pre1
- removed patch4

* Fri Mar 10 2006 Michael Shigorin <mike@altlinux.org> 1.2.3-alt0.M30.1
- built for M30
- added Debian menu file
- added %%optflags

* Fri Mar 10 2006 Michael Shigorin <mike@altlinux.org> 1.2.3-alt1
- 1.2.3
- upstream fixed installation, no more ugly spec hacks; good
- updated translation; thanks Yury Kashirin for lupdate hint
- added desktop file (maybe lame one)
- added defaults fixes (first try); if you already have ~/.recoll,
  might need to have a glance yourself

* Mon Feb 06 2006 Michael Shigorin <mike@altlinux.org> 1.2.2-alt1
- 1.2.2
- patch2 temporarily disabled, need to update translation

* Thu Jan 26 2006 Michael Shigorin <mike@altlinux.org> 1.1.0-alt1
- 1.1.0
  + maybe case (in)sensitivity issue is fixed
- removed patch3

* Thu Jan 26 2006 Michael Shigorin <mike@altlinux.org> 1.0.16-alt1
- 1.0.16

* Mon Dec 19 2005 Michael Shigorin <mike@altlinux.org> 1.0.15-alt1
- 1.0.15
- fixed ru translation install/use, thanks eostapets@
- spec cleanup

* Sat Dec 10 2005 Michael Shigorin <mike@altlinux.org> 1.0.14-alt2
- add Russian translation

* Fri Dec 09 2005 Michael Shigorin <mike@altlinux.org> 1.0.14-alt1
- 1.0.14
- don't apply hackaround (doesn't help that particular case)

* Tue Dec 06 2005 Michael Shigorin <mike@altlinux.org> 1.0.10-alt2
- added recommended companion packages to description
- added hackaround by eostapets@ to quickly do something
  with non-7bit icase search

* Mon Dec 05 2005 Michael Shigorin <mike@altlinux.org> 1.0.10-alt1
- built for ALT Linux

